Bug 79594 - incorrect entry in lilo.conf
incorrect entry in lilo.conf
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-13 14:08 EST by Greta Watson
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 13:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greta Watson 2002-12-13 14:08:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.18-14 i686)

Description of problem:
Two hard disks exist:  Windows ME using FAT32 LBA disk, and Linux 7.1
using ext2 partitions that were created using Disk Druid on 7.1.

During upgrade to 8.0,  I got the message (same message as bug 78765)
that the partition table on /dev/hda was inconsistent.  I chose to
ignore it, and continued.  The install completed, with normal choices
for location, language, etc.  Upon reboot, I got three lines of choices to boot:
    linux
    2 4 18 14
    dos
I tracked this down to an error in /etc/lilo.conf, which I fixed and
was then in business.  Before I fixed /etc/lilo.conf and reran
/sbin/lilo, the first of the three lines caused error message, but
no boot, the second line booted 8.0 linux, and the third line booted
WindowsME.  Here's the lilo.conf, with its bad line:
prompt
timeout=50
default=linux
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
message=/boot/message
linear

image=/boot/vmlinuz-2.4.18-14
        label=2.4.18-14                   <----bad line
        initrd=/boot/initrd-2.4.18-14.img
        read-only
        append="hdc=ide-scsi root=LABEL=/"

other=/dev/hda1
        optional
        label=DOS
By changing the line to label=linux, all was well.
Output from fdisk -l:


Disk /dev/hda: 240 heads, 63 sectors, 3877 cylinders
Units = cylinders of 15120 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1      3877  29310088+   c  Win95 FAT32 (LBA)

Disk /dev/hdb: 240 heads, 63 sectors, 10337 cylinders
Units = cylinders of 15120 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hdb1   *         1        11     83128+  83  Linux
/dev/hdb2            12     10337  78064560    5  Extended
/dev/hdb5            12      2179  16390048+  83  Linux
/dev/hdb6          2180      4347  16390048+  83  Linux
/dev/hdb7          4348      6515  16390048+  83  Linux
/dev/hdb8          6516      8683  16390048+  83  Linux
/dev/hdb9          8684      9767   8195008+  83  Linux
/dev/hdb10         9768     10242   3590968+  83  Linux
/dev/hdb11        10243     10337    718168+  82  Linux swap

Partitions are /boot, /, /usr, /home, /opt, /var, /tmp, and swap

Using Disk Druid, I migrated all partitions from ext2 to ext3, and
preserved the data on /home.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.  Using an HP Pavilion machine running Windows ME, add a second
    hard disk, and install Linux 7.1, using Disk Druid to create
    partitions as above.
2.  Replace the WindowsME hard disk (it crashed)
3.  Reinstall Windows ME on the new hard disk, using the WindowsME
    recovery disks provided with the HP Pavilion machines.
4.  Reinstall Linux 7.1, preserving the /home partition, having LILO
    on MBR.  Make sure you can boot dos and linux.
5.  Upgrade to Linux 8.0, preserving /home.
    

Actual Results:  After doing these steps, I got the three boot lines described
above:
     linux                 which caused the machine to hang
     2 4 18 14		   which booted linux 8.0
     dos		   which booted Windows ME

Expected Results:  Two lines:
    linux             to boot linux 8.0
    dos               to boot Windows ME

Additional info:

In an attempt to get the "inconsistent partition table" message to not happen, I
tried a number of different variations on the theme:  two
Windows ME partitions on /dev/hda, a single Windows ME partition,
different variations on using Disk Druid, installing 8.0 linux desktop,
upgrading from 7.1 to 8.0, custom install of everything with a preservation of
7.1's /home partition, custom install with no preservation of data, etc.  The
message appeared every time.  One
time, installation hung on the "enter root password" screen.

The net result is that, after fixing the /etc/lilo.conf file, I can
mount the Windows ME disk and read from and write to it without any
problem.  I back up my /home partition weekly to the Windows ME disk.
Comment 1 Jeremy Katz 2002-12-31 02:31:26 EST
Hmmm.... this config file looks fine to me from a quick look.  I'll have to wait
until I get back into the office to actually set up the full upgrade test.
Comment 2 Jeremy Katz 2003-02-05 17:54:44 EST
Couldn't reproduce, but added code in CVS that will make sure that it can't happen.
Comment 3 Jeremy Katz 2006-04-24 13:59:53 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.